UiPath Documentation
test-cloud
latest
false
Guía de la API de Test Cloud
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.

Get Org License Summary

Retrieves the license summary for your organization, including licensed and allocated robots, licensed and used user licenses, and licensed, allocated, and used consumables. Requires an external application with the scope PM.License.Read.

Punto final de API

GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary

Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:

Cloud PlatformURL de acceso
Automation Cloudhttps://cloud.uipath.com/
Sector público de Automation Cloudhttps://govcloud.uipath.us/
Automation Cloud dedicadohttps://{customURL}.dedicated.uipath.com/

Solicitar encabezados.

--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
Nota:

To obtain the {access_token}, make sure to authenticate through the Resource Owner Password Credentials (ROPC) method described on the Authentication Methods page.

Parámetros de ruta

Parámetros de rutaTipo de datosDescripción
accountId (obligatorio)GUIDThe ID of the organization for which to retrieve the license summary.

Respuesta

200 OK

Returns the license summary for the organization, split into three arrays:

  • robots — for each robot type, the total licensed quantity (total) and the total allocated quantity (allocated). See Robots for the available codes.
  • userLicenses — for each user license, the total licensed quantity (total) and the total used quantity (used). See User Licenses for the available codes.
  • consumables — for each consumable unit, the total licensed quantity (total), the total allocated amount (allocated), the total used amount (used), and the validity period (startDate, endDate) as Unix timestamps in seconds. See Consumables for the available codes.

404

No se asigna ninguna licencia de cuenta para la organización indicada.

Solicitud de ejemplo

La solicitud debe parecerse al siguiente ejemplo (cURL):

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'

Here's the response body for a successful license summary retrieval:

{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
  • Punto final de API
  • Solicitar encabezados.
  • Parámetros de ruta
  • Respuesta
  • 200 OK
  • 404
  • Solicitud de ejemplo

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado